Bug 1250795 - luminance-hdr ignores EXIF EV
luminance-hdr ignores EXIF EV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: luminance-hdr (Show other bugs)
21
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Franco Comida
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 23:06 EDT by J. Randall Owens
Modified: 2015-12-02 13:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:48:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Randall Owens 2015-08-05 23:06:25 EDT
Description of problem:
After upgrading 2.3.1-8 -> 2.4.0-3, luminance-hdr no longer uses the pictures' exposure values that I presume it previously got from the EXIF data, setting all to 0.

Version-Release number of selected component (if applicable):
2.4.0-3.fc21

How reproducible:
regularly

Steps to Reproduce:
1. New HDR Image
2. Add Images
3. select some photographs with EXIF data

Actual results:
All EVs set to 0, and I have to set them by hand if I can work out how to calculate appropriate values.

Expected results:
EVs set to whatever fits for each picture.

Additional info:
In case it might be a problem with a particular manufacturer's EXIF, these pictures were taken with a Canon EOS M.
Comment 1 Franco Comida 2015-08-06 09:20:08 EDT
It seems actually a problem with Canon EOS M.
I got this on the terminal: "Warning: Directory Canon, entry 0x0000 has unknown Exif (TIFF) type 0; setting type size 1."

I will further investigate the issue, thank you for reporting it.
Comment 2 Franco Comida 2015-08-07 03:57:54 EDT
I found out exiv2-0.25 fixes the issue.
I am not sure if it will be possible to update to 0.25 cause many packages depend on it.
Comment 3 Rex Dieter 2015-08-12 13:33:03 EDT
Options (in my personal order of preference):

* backport upstream fix included in 0.25 to our 0.24 packaging.


* update to exiv2-0.25 (and rebuild luminance-hdr to use it), and provide a compat-exiv2_024 (or something like that) for any packages not rebuilt yet

* fully update to exiv2-0.25, this will require rebuilding 34 other fedora packages.



I'll think on it.
Comment 4 Fedora End Of Life 2015-11-04 05:53:00 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-02 09:48:43 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.